Skip to main content
POST
/
accounts
/
{accountId}
/
details
Create account details
curl --request POST \
  --url https://api-dev.paygen.online/accounts/{accountId}/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "bank_account"
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "type": "<string>",
    "details": {},
    "provider": "<string>",
    "isPrimary": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Body

application/json
type
enum<string>
required
Available options:
bank_account,
crypto_wallet
details
object
provider
string
isPrimary
boolean

Response

201 - application/json

Account detail created successfully.

statusCode
integer
required
message
string
required
data
object